PACKF(1mh)

NAME
packf - pack messages in nmh folder into a single file

SYNOPSIS

packf [-help] [-version] [+folder] [msgs] [-file name] [-mbox] [-mmdf]

DESCRIPTION
packf will pack copies of messages from a folder, into a single file.

If the -mbox switch is given (the default), then the messages are separated using mbox (uucp) style delimiters. This is the format used by most mail clients (elm, mailx, etc.).

If the -mmdf switch is given, then the messages are separated by mmdf style delimiters. Each message in the file is separated by four CTRL-A's and a newline.

You may specify the name of the file in which to pack messages with the -file name switch. If you do not specify the name of the file, it will default to “msgbox”.

If the given file name points to an existing file, then the specified messages will be appended to the end of the file, otherwise the file will be created and the messages appended.

packf makes an mbox-style delimiter by examining the first line of the message. If the first line is a “Return-Path” field, its address and the current date and time are used. Otherwise, if the first line has an “X-Envelope-From” field, its contents (which should already be in the correct format) are used. Otherwise, a dummy address and the current date and time are used.

Messages that are packed by packf can be unpacked using inc.

FILES
^$HOME/.mh_profile~^The user profile

PROFILE COMPONENTS
^Path:~^To determine the user's nmh directory
^Current-Folder:~^To find the default current folder
^Msg-Protect:~^To set mode when creating a new `file'

SEE ALSO
inc(1)

DEFAULTS
`+folder' defaults to the current folder
`msgs' defaults to all
`-mbox'
`-file ./msgbox'

CONTEXT
If a folder is given, it will become the current folder. The first message packed will become the current message.